import { addDecorator, configure, addParameters } from '@storybook/vue';
import { withNotes } from '@storybook/addon-notes';
import { withInfo } from 'storybook-addon-vue-info';
import { withKnobs } from '@storybook/addon-knobs';
import theme from './theme';

// Storybook options
addParameters({
  options: {
    theme,
    name: 'Style Guide',
    hierarchySeparator: /\//,
    hierarchyRootSeparator: /\|/,
    sortStoriesByKind: true,
  },
});

// Add notes
addDecorator(withNotes);

// Add info
addDecorator(withInfo);

// Add knobs
addDecorator(withKnobs);

// Load stories
const loadStories = () => {
  const stories = require.context('../src/stories', true, /.js$/);
  stories.keys().forEach(filename => stories(filename));
};

// Create storybook
configure(loadStories, module);
